<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy main.cpp</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('df/d0a/main_8cpp_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">main.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../df/d0a/main_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../d9/d2a/menu_8hh.html">menu.hh</a>&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../d5/dd8/scene_8hh.html">scene.hh</a>&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="../../df/d0a/main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">    8</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="../../df/d0a/main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a>() {</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    cout &lt;&lt; endl;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    cout &lt;&lt; <span class="stringliteral">&quot; Start programu &quot;</span> &lt;&lt; endl;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    cout &lt;&lt; endl;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keywordtype">char</span> character = <span class="charliteral">&#39;-&#39;</span>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <a class="code" href="../../d6/db5/class_scene.html">Scene</a> scene;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <a class="code" href="../../d9/d2a/menu_8hh.html#a2a0e843767aeea4f433a28b9c54f573a">menu</a>();</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keywordflow">while</span> (character != <span class="charliteral">&#39;k&#39;</span>) {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        cout &lt;&lt; endl;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        cout &lt;&lt; <span class="stringliteral">&quot;Twoj wybor, m - menu &gt; &quot;</span>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        cin &gt;&gt; character;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keywordflow">if</span> (character != <span class="charliteral">&#39;k&#39;</span> &amp;&amp; character != <span class="charliteral">&#39;r&#39;</span> &amp;&amp; character != <span class="charliteral">&#39;o&#39;</span> &amp;&amp; character != <span class="charliteral">&#39;m&#39;</span>) {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;            cerr &lt;&lt; <span class="stringliteral">&quot; Your choice was incorrect &quot;</span> &lt;&lt; endl;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;            cin.ignore(10000, <span class="charliteral">&#39;\n&#39;</span>);</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;            cin.clear();</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        }</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keywordflow">switch</span> (character) {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;            <span class="keywordflow">case</span> <span class="charliteral">&#39;r&#39;</span>: {  <span class="comment">// funkcja która zadaje ruch na wprost</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                <span class="keywordtype">double</span> angle = 0;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;                <span class="keywordtype">double</span> distance = 0;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;                cout &lt;&lt; <span class="stringliteral">&quot;Podaj wartosc kata (wznoszenia/opadania) w stopniach.&quot;</span> &lt;&lt; endl;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;                cout &lt;&lt; <span class="stringliteral">&quot;Wartosc kata &gt;&quot;</span>;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;                cin &gt;&gt; angle;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;                cout &lt;&lt; <span class="stringliteral">&quot;Podaj wartosc odleglosci, na ktora ma sie przemiescic dron.&quot;</span> &lt;&lt; endl;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;                cout &lt;&lt; <span class="stringliteral">&quot;Wartosc odleglosci &gt;&quot;</span>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;                cin &gt;&gt; distance;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;                scene.<a class="code" href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">animation</a>(angle, distance);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;                <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;            }</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;            <span class="keywordflow">case</span> <span class="charliteral">&#39;o&#39;</span>: {  <span class="comment">// Zmiana orientacji (OZ)</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;                <span class="keywordtype">double</span> angle;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;                cout &lt;&lt; <span class="stringliteral">&quot;Podaj kat w stopniach o jaki chcesz obrocic: &quot;</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;                cin &gt;&gt; angle;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;                scene.<a class="code" href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">animation</a>(angle);</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;                <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            }</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            <span class="keywordflow">case</span> <span class="charliteral">&#39;m&#39;</span>: {  <span class="comment">// Wyświetla menu</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;                <a class="code" href="../../d9/d2a/menu_8hh.html#a2a0e843767aeea4f433a28b9c54f573a">menu</a>();</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;                <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            }</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            <span class="keywordflow">default</span>:<span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        }</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    }</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    cout &lt;&lt; endl;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    cout &lt;&lt; <span class="stringliteral">&quot; Koniec programu &quot;</span> &lt;&lt; endl;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    cout &lt;&lt; endl;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_scene_html_a0a3d83da2246b9e98c9e04cef38e1778"><div class="ttname"><a href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">Scene::animation</a></div><div class="ttdeci">void animation(double rotateAngle)</div><div class="ttdoc">Realizuje animacje ruchu.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d33/scene_8cpp_source.html#l00039">scene.cpp:39</a></div></div>
<div class="ttc" id="amenu_8hh_html_a2a0e843767aeea4f433a28b9c54f573a"><div class="ttname"><a href="../../d9/d2a/menu_8hh.html#a2a0e843767aeea4f433a28b9c54f573a">menu</a></div><div class="ttdeci">void menu()</div><div class="ttdoc">Displays menu.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d25/menu_8cpp_source.html#l00007">menu.cpp:7</a></div></div>
<div class="ttc" id="amain_8cpp_html_ae66f6b31b5ad750f1fe042a706a4e3d4"><div class="ttname"><a href="../../df/d0a/main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a></div><div class="ttdeci">int main()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d0a/main_8cpp_source.html#l00008">main.cpp:8</a></div></div>
<div class="ttc" id="aclass_scene_html"><div class="ttname"><a href="../../d6/db5/class_scene.html">Scene</a></div><div class="ttdoc">Modeluje pojęcie sceny.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd8/scene_8hh_source.html#l00015">scene.hh:15</a></div></div>
<div class="ttc" id="amenu_8hh_html"><div class="ttname"><a href="../../d9/d2a/menu_8hh.html">menu.hh</a></div></div>
<div class="ttc" id="ascene_8hh_html"><div class="ttname"><a href="../../d5/dd8/scene_8hh.html">scene.hh</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_f77a644fded742ea05ed17fa0fdf6fe1.html">src</a></li><li class="navelem"><a class="el" href="../../df/d0a/main_8cpp.html">main.cpp</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
